SSS_SSH_AUTHORIZEDKE(1)

NAME
sss_ssh_authorizedkeys - holt autorisierte OpenSSH-Schlüssel

SYNOPSIS

sss_ssh_authorizedkeys [Optionen] BENUTZER

BESCHREIBUNG

sss_ssh_authorizedkeys beschafft öffentliche SSH-Schlüssel für den Anwender BENUTZER und gibt sie im OpenSSH-Format »authorized_keys« aus (weitere Informationen finden Sie im Abschnitt »AUTHORIZED_KEYS-DATEIFORMAT« von sshd(8)).

sshd(8) can be configured to use sss_ssh_authorizedkeys for public key user authentication if it is compiled with support for “AuthorizedKeysCommand” option. Please refer to the sshd_config(5) man page for more details about this option.

If “AuthorizedKeysCommand” is supported, sshd(8) can be configured to use it by putting the following directives in sshd_config(5):

      AuthorizedKeysCommand /usr/bin/sss_ssh_authorizedkeys
      AuthorizedKeysCommandUser nobody

OPTIONEN

-d,--domain DOMAIN
    sucht nach öffentlichen Schlüsseln von Benutzern in der SSSD-Domain DOMAIN.

-?,--help
    zeigt den Hilfetext und beendet sich.

EXIT-STATUS

Im Erfolgsfall ist der Rückgabewert 0, andernfalls wird 1 zurückgegeben.

SIEHE AUCH

sssd(8), sssd.conf(5), sssd-ldap(5), sssd-krb5(5), sssd-simple(5), sssd-ipa(5), sssd-ad(5), sssd-sudo(5), sssd-secrets(5), sssd-session-recording(5), sss_cache(8), sss_debuglevel(8), sss_groupadd(8), sss_groupdel(8), sss_groupshow(8), sss_groupmod(8), sss_useradd(8), sss_userdel(8), sss_usermod(8), sss_obfuscate(8), sss_seed(8), sssd_krb5_locator_plugin(8), sss_ssh_authorizedkeys(8), sss_ssh_knownhostsproxy(8), sssd-ifp(5), pam_sss(8). sss_rpcidmapd(5)

AUTHORS

The SSSD upstream - https://pagure.io/SSSD/sssd/